<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: update_hook.php 1342 2007-09-17 17:16:48Z pleegwat $
 * @link       http://www.wowroster.net
 * @package    qdkpViewer
 * @subpackage UpdateHook
*/

if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}

/**
 * qdkpViewer Update Hook
 *
 * @package    QDKPViewer
 * @subpackage UpdateHook
 */
class QDKPViewerUpdate
{

	var $messages = '';	// Update messages
	var $data = array();	// Addon config data automatically pulled from the addon_config table
	var $files = array();

	/**
	 * Class instantiation
	 * The name of this function MUST be the same name as the class name
	 *
	 * @param array $data	| Addon data
	 * @return recipe
	 */
	function QDKPViewerUpdate($data)
	{
		$this->data = $data;
	}
	/**
	 * Resets addon messages
	 */
	function reset_messages()
	{
		$this->messages = '';
	}
	
	function guild_post( $guild ,$data )
	{
		global $roster, $update;
 
		$guildid = $update->get_guild_info($update->current_realm,$update->current_guild,$update->current_region);
		$guildid = $guildid['guild_id'];
	
		$query ="SELECT m.member_id, p.member_id, p.alt_type, m.name, m.class, m.officer_note, m.guild_id FROM ".$roster->db->table('members')." as m, ".$roster->db->table('addons_memberslist_alts')." as p where m.member_id = p.member_id AND p.alt_type<2 AND m.guild_id=".$guildid." ORDER BY m.name ASC";
		$query2 ="SELECT update_time, guild_name FROM ".$roster->db->table('guild')." WHERE guild_id = '".$guildid."'";
		$result2 = $roster->db->query( $query2 );
	 		while( $results2 = $roster->db->fetch($result2,MYSQL_BOTH) )
			{
				$lgUpdate=$results2['update_time'];
			}
		$this->messages .= "<br />\n<br />\nQDKP Viewer<br />\n[ <span class=\"orange\">".$guild['Name']."</span> ] @ ".$lang['realm']." [ <span class=\"orange\">".$guild['Server']."</span> ] @ [ <span class=\"orange\">".$lgUpdate."</span> ]<br />\n";	
		$result = $roster->db->query( $query );
		
		
		while( $results = $roster->db->fetch($result,MYSQL_BOTH) )
		{
		
			
			if (preg_match('/\{Net:([\d\.\-]+)\s+Tot:([\d\.\-]+)\s+Hrs:([\d\.]+)(.*)\}/',$results['officer_note'],$matches)){
				$match = preg_replace('/[\{\}]/', '', $matches[0]);
				$query3 ="INSERT INTO `".$roster->db->table('history',$this->data['basename'])."` ( `guild_id` , `member_id` , `note` , `update_time` ) VALUES ('".$guildid."', '".$results['member_id']."', '".$match."', '".$lgUpdate."');";
				$this->messages .= "<li>[ <span class=\"orange\">".$results['name']."</span> ] - ".$match."</li>\n";
				$result3 = $roster->db->query( $query3 );
			} else if (preg_match('/^Net:([\d\.\-]+)\s+Tot:([\d\.\-]+)\s+Hrs:([\d\.]+)(.*)$/',$results['officer_note'],$matches)){
				$match = preg_replace('/[\{\}]/', '', $matches[0]);
				$query3 ="INSERT INTO `".$roster->db->table('history',$this->data['basename'])."` ( `guild_id` , `member_id` , `note` , `update_time` ) VALUES ('".$guildid."', '".$results['member_id']."', '".$match."', '".$lgUpdate."');";
				$this->messages .= "<li>[ <span class=\"orange\">".$results['name']."</span> ] - ".$match."</li>\n";
				$result3 = $roster->db->query( $query3 );
			}
		}
			$this->messages .= "<br />\n";
		return true;
	}
}

